#
# spec file for package python-ipython_genutils
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ipython_genutils
Version:        0.1.0
Release:        2.5
Summary:        Vestigial utilities from IPython
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://ipython.org
Source:         https://pypi.python.org/packages/source/i/ipython_genutils/ipython_genutils-%{version}.tar.gz
BuildRequires:  python-devel >= 2.7
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python >= 2.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This contains some common utilities shared by Jupyter and IPython projects
during The Big Split. As soon as possible, those packages will remove their
dependency on this, and this package will go away.

No projects should depend on this package directly.  It will be pulled in by
whatever packages need it

%prep
%setup -q -n ipython_genutils-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
export LC_ALL=en_US.utf8
nosetests

%files
%defattr(-,root,root,-)
%doc CONTRIBUTING.md COPYING.md README.md
%{python_sitelib}/*

%changelog
* Fri Aug 21 2015 toddrme2178@gmail.com
- Add python 2.7 requirement
* Tue Jul 21 2015 toddrme2178@gmail.com
- Initial version
